Bug 1115905 - Segfaults on ARM
Summary: Segfaults on ARM
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgit2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Keywords:
Depends On:
Blocks: ARMTracker ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2014-07-03 10:01 UTC by Mathieu Bridon
Modified: 2014-07-18 07:31 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-18 02:57:53 UTC


Attachments (Terms of Use)

Description Mathieu Bridon 2014-07-03 10:01:41 UTC
Description of problem:
Unit tests are segfaulting on ARM:
https://kojipkgs.fedoraproject.org//work/tasks/3324/7103324/build.log

Christopher, you blindly disabled the unit tests like it doesn't matter.

Except it does: it is not only the libgit2 unit tests which fail, the python-pygit2 also crash on ARM:
https://kojipkgs.fedoraproject.org//work/tasks/8455/7088455/build.log

Instead of sweeping issues under the rug, we need to fix the library so that it works (the ARM team can probably help).

I don't think you should have built the new version at all until that is fixed, because it is causing broken dependencies in Rawhide (at least python-pygit2) and the unit tests failure is a strong indication that the new libgit2 just doesn't work on ARM at all.

ARM is a primary architecture, we need to support it properly.

Comment 1 Peter Robinson 2014-07-03 12:56:46 UTC
Christopher: What is the status of this. It affect aarch64 too. Tests should never be disabled because they fail, the problem should be investigated as this clearly indicates a problem and now a core component of Fedora (git) has issues on a primary and secondary platform.

Comment 2 Tim Flink 2014-07-09 18:11:57 UTC
Discussed at the 2014-07-09 Fedora 21 alpha blocker review meeting. While disabling the unit tests does seem like a suboptimal solution, it doesn't seem to violate any of the F21 alpha release criteria [1] and thus, is rejected as a blocker for F21 alpha.

If there's a criteria violation that we're missing here, please repropose.

[1] https://fedoraproject.org/wiki/Fedora_21_Alpha_Release_Criteria

Comment 3 Yaakov Selkowitz 2014-07-18 02:57:53 UTC
This has been patched upstream:

https://github.com/libgit2/libgit2/issues/2450
https://github.com/libgit2/libgit2/pull/2451

I added this patch for f21 and rawhide, which fixes the testsuite on arm, aarch64, and ppc64le.

Comment 4 Mathieu Bridon 2014-07-18 07:31:04 UTC
Thanks a lot Yaakov, this fix allowed me to build the latest python-pygit2. :)


Note You need to log in before you can comment on or make changes to this bug.